<?php

namespace catchAdmin\hydraulic\controller;

use catcher\base\CatchRequest as Request;
use catcher\CatchResponse;
use catcher\base\CatchController;
use catchAdmin\hydraulic\model\HydEquipment as hydEquipmentModel;

class HydEquipment extends CatchController
{
    protected $hydEquipmentModel;
    
    public function __construct(HydEquipmentModel $hydEquipmentModel)
    {
        $this->hydEquipmentModel = $hydEquipmentModel;
    }
    
    /**
     * 列表
     * @time 2022年06月21日 11:02
     * @param Request $request 
     */
    public function index(Request $request) : \think\Response
    {
        return CatchResponse::paginate($this->hydEquipmentModel->getList());
    }
    
    /**
     * 保存信息
     * @time 2022年06月21日 11:02
     * @param Request $request 
     */
    public function save(Request $request) : \think\Response
    {
        return CatchResponse::success($this->hydEquipmentModel->storeBy($request->post()));
    }
    
    /**
     * 读取
     * @time 2022年06月21日 11:02
     * @param $id 
     */
    public function read($id) : \think\Response
    {
        return CatchResponse::success($this->hydEquipmentModel->findBy($id));
    }
    
    /**
     * 更新
     * @time 2022年06月21日 11:02
     * @param Request $request 
     * @param $id
     */
    public function update(Request $request, $id) : \think\Response
    {
        return CatchResponse::success($this->hydEquipmentModel->updateBy($id, $request->post()));
    }
    
    /**
     * 删除
     * @time 2022年06月21日 11:02
     * @param $id
     */
    public function delete($id) : \think\Response
    {
        return CatchResponse::success($this->hydEquipmentModel->deleteBy($id));
    }
}